import Legend from './Legend';
import Scales from './Scales';
import Series from './Series';

export default interface GrapheConfiguration {
  type: string;

 /**
  * Echelle
  * Non nécessaire pour les graphes  ( Pie, Pie3D, Donut)
  */  scales?: Scales;
  series: Series[];
  legend?: Legend;

  /** displays an average number of values in case a data set is too large to show all the values in the chart */
  maxPoints?: number;
}
